> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/client-wallets/list-client-wallets/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # List all Client Wallets GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/clients/wallets List all Client Wallets Reference: https://docs.mangopay.com/api-reference/client-wallets/list-client-wallets ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. ## Response ### 200 Success - `Array (Client Wallets)` (list of ListAllClientWalletsResponseArrayClientWalletsItems, optional) — The list of Client Wallets. ## Types ### ListAllClientWalletsResponseArrayClientWalletsItems - `Object (Client Wallet)` (ListAllClientWalletsResponseArrayClientWalletsItemsObjectClientWallet, optional) — The Client Wallet object created by MANGOPAY. ### ListAllClientWalletsResponseArrayClientWalletsItemsObjectClientWallet The Client Wallet object created by MANGOPAY. - `Balance` (ListAllClientWalletsResponseArrayClientWalletsItemsObjectClientWalletBalance, optional) — The current balance of the wallet. - `Currency` (string, optional) — **Returned values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the wallet. - `FundsType` (string, optional) — **Returned values:** `DEFAULT`, `FEES`, `CREDIT` The type of funds in the wallet: - `DEFAULT` – Regular funds for user-owned wallets. Wallets with this `FundsType` cannot have a negative balance. - `FEES` – Fees Wallet, for fees collected by the platform, specific to the Client Wallet object. - `CREDIT` – Repudiation Wallet, for funds for the platform's dispute management, specific to the Client Wallet object. **Note:** The Fees Wallet and Repudiation Wallet are created automatically by Mangopay for each currency. - `Id` (string, optional) — The unique identifier of the wallet. The `Id` of Client Wallet object has the format `FundsType`_`Currency`, for example: `FEES_EUR`, `CREDIT_GBP`, etc. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the wallet was created. ### ListAllClientWalletsResponseArrayClientWalletsItemsObjectClientWalletBalance The current balance of the wallet. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ## Examples **Response** ```json [ { "Balance": { "Amount": 1027, "Currency": "EUR" }, "CreationDate": 1658926202, "Currency": "EUR", "FundsType": "FEES", "Id": "FEES_EUR", "Tag": null }, { "Balance": { "Amount": 5000, "Currency": "EUR" }, "CreationDate": 1658926202, "Currency": "EUR", "FundsType": "CREDIT", "Id": "CREDIT_EUR", "Tag": null } ] ``` **SDK Code** ```python from pprint import pprint import mangopay mangopay.client_id='your-client-id' mangopay.apikey='your-api-key' from mangopay.api import APIRequest handler = APIRequest(sandbox=True) from mangopay.resources import ClientWallet client_wallets = ClientWallet.all() for client_wallet in client_wallets: pprint(vars(client_wallet)) ``` ```javascript const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-client-id', clientApiKey: 'your-api-key', }) const listClientWallets = async () => { return await mangopay.Clients.getClientWallets() .then((response) => { console.info(response) return response }) .catch((err) => { console.log(err) return false }) } listClientWallets() ``` ```java import com.google.gson.Gson; import com.google.gson.GsonBuilder; import com.mangopay.MangoPayApi; import com.mangopay.core.Money; import com.mangopay.core.Pagination; import com.mangopay.core.enumerations.CurrencyIso; import com.mangopay.core.enumerations.FundsType; import com.mangopay.entities.Wallet; public class ListClientWallets { public static void main(String[] args) throws Exception { MangoPayApi mangopay = new MangoPayApi(); mangopay.getConfig().setClientId("your-client-id"); mangopay.getConfig().setClientPassword("your-api-key"); List clientWallets = mangopay.getClientApi().getWallets(FundsType.DEFAULT, new Pagination(1, 100)); for (Wallet clientWallet : clientWallets) { Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create(); String prettyJson = prettyPrint.toJson(updateUbo); System.out.println(clientWallet); } } } ``` ```csharp using MangoPay.SDK; using MangoPay.SDK.Core.Enumerations; using MangoPay.SDK.Entities; using Newtonsoft.Json; class Program { static async Task Main(string[] args) { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var clientWallets = await api.Clients.GetWalletsAsync(FundsType.DEFAULT, new Pagination(1, 10)); string prettyPrint = JsonConvert.SerializeObject(clientWallets, Formatting.Indented); Console.WriteLine(prettyPrint); } } ``` ```php Config->ClientId = 'your-client-id'; $api->Config->ClientPassword = 'your-api-key'; $api->Config->TemporaryFolder = 'tmp/'; try { $response = $api->Clients->GetWallets(); print_r($response); } catch(MGPResponseException $e) { print_r($e); } catch(MGPException $e) { print_r($e); } ``` ```ruby require 'mangopay' MangoPay.configure do |client| client.preproduction = true client.client_id = 'your-client-id' client.client_apiKey = 'your-api-key' client.log_file = File.join(Dir.pwd, 'mangopay.log') end def listClientWallets() begin response = MangoPay::Client.fetch_wallets() puts response return response rescue MangoPay::ResponseError => error puts "Failed to fetch client wallets: #{error.message}" puts "Error details: #{error.details}" return false end end listClientWallets() ```